Bug 219045 - bcm43XG cards not supported (though claimed)
bcm43XG cards not supported (though claimed)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-09 17:41 EST by Armijn Hemel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 11:10:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armijn Hemel 2006-12-09 17:41:54 EST
Description of problem:

BCM43XG cards are not supported. I have a NETGEAR WN511B which is based on this
chipset. The BCM43xx project claims that this chipset is supported by the
default bcm43xx driver, but it is not.

Version-Release number of selected component (if applicable):

2.6.18-1.2849.fc6

How reproducible:

Always

Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:

No support.

Expected results:

Support.

Additional info:

From /usr/share/hwdata.ids:

        4325  BCM43xG 802.11b/g
        4329  BCM43XG

The bcm43xx driver only supports devices with PCI id 4325. The card I have has a
PCI id of 4329. I added the 4329 PCI id to the driver, but that gives a nice
oops and the card is not recognized.
Comment 1 Armijn Hemel 2006-12-09 17:43:39 EST
Argh, hold that last comment. It *is* recognized by the driver, but it oopses
and I don't get to see a device with iwconfig and ifconfig (debugging fries
braaaaaaaain).
Comment 2 John W. Linville 2006-12-12 10:00:46 EST
As you discovered, 14e4:4329 is not supported by the current driver.  Please 
attach the contents of the oops from when you added that ID to the driver.

For fastest results (and depending on your skills and interestes), you may 
wish to pursue this youself either on netdev@vger.kernel.org or the bcm43xx 
driver development mailing list, bcm43xx-dev@lists.berlios.de.
Comment 3 Armijn Hemel 2007-01-03 19:17:57 EST
I put it on the mailinglist. Unfortunately I do not have the card anymore. It
was given to someone in the bcm43xx team.
Comment 4 John W. Linville 2007-02-09 11:10:36 EST
Closing as CANTFIX, based on lack of testing access.

Note You need to log in before you can comment on or make changes to this bug.